/*
   ColorBoxUnit.h

   hlavikov soubor okna pro monost vybrn hodnoty stupnice edi

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef ColoBoxUnitH
#define ColoBoxUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
enum Kind { brush, pen, other, illusion};
//other-used for another application of the tool window

class TColorBoxForm : public TForm
{
__published:	// IDE-managed Components
        TBevel *Bevel1;
        TPanel *Panel;
        TBitBtn *BitBtn1;
        TPanel *Panel1;
        TPanel *Panel2;
        TPanel *Panel3;
        TPanel *Panel4;
        TPanel *Panel5;
        TPanel *Panel6;
        TPanel *Panel7;
        TPanel *Panel8;
        TPanel *Panel9;
        TPanel *Panel10;
        TPanel *Panel11;
        TPanel *Panel12;
        TButton *Button1;
        TPanel *ResultPanel;
        TPanel *Panel13;
        TPanel *Panel14;
        TPanel *Panel15;
        TPanel *Panel16;
        TImage *Image;
        TButton *CancelButton;
        void __fastcall OnPanelClick(TObject *Sender);
        void __fastcall ImageMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall ImageMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall ImageMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall CancelButtonClick(TObject *Sender);
        void __fastcall BitBtn1Click(TObject *Sender);
private:	// User declarations
       void __fastcall DrawPoint(int Y);
       bool drawing;
       TPoint LeftTop, RightDown;
       int point_position,width;
       bool with_users;
       Kind kind;
public:		// User declarations
        __fastcall TColorBoxForm(TComponent* Owner);
        void __fastcall KindColor(Kind _kind) {kind = _kind;} 
};
//---------------------------------------------------------------------------
extern PACKAGE TColorBoxForm *ColorBoxForm;
//---------------------------------------------------------------------------
#endif
