/*
   DrawNewSizeUnit.h

   hlavikov soubor okna pro zmnu velikosti obrzku

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//----------------------------------------------------------------------------
#ifndef DrawNewSizeUnitH
#define DrawNewSizeUnitH
//---------------------------------------------------------------------------
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Controls.hpp>
#include <Classes.hpp>
#include <StdCtrls.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TDrawNewSizeForm : public TForm
{
__published:
        TBevel *Bevel1;
        TLabel *Label1;
        TEdit *WidthEdit;
        TLabel *Label2;
        TEdit *HeightEdit;
        TBitBtn *BitBtn1;
        TBitBtn *BitBtn2;

private:        // private user declarations
public:         // public user declarations
    virtual __fastcall TDrawNewSizeForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TDrawNewSizeForm *DrawNewSizeForm;
//---------------------------------------------------------------------------
#endif
