/*
   TranslateUnit.h

   hlavikov soubor okna pro operaci posunut

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef TranslateUnitH
#define TranslateUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include "Headers\image_grey.h"
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TTranslateForm : public TForm
{
__published:	// IDE-managed Components
        TBevel *Bevel1;
        TPanel *Panel1;
        TBitBtn *TranslateBitBtn;
        TBitBtn *CancelBitBtn;
        TEdit *Trans_Row_Edit;
        TShape *Shape1;
        TShape *Shape2;
        TEdit *RD_Row_Edit;
        TEdit *LT_Row_Edit;
        TEdit *LT_Col_Edit;
        TEdit *RD_Col_Edit;
        TPanel *Panel3;
        TPanel *Panel2;
        TPanel *Panel4;
        TPanel *Panel5;
        TShape *Shape3;
        TShape *Shape4;
        TPanel *Panel6;
        TEdit *Trans_Col_Edit;
        TPanel *Panel7;
        TStatusBar *StatusBar1;
        TShape *Shape5;
        void __fastcall TranslateBitBtnClick(TObject *Sender);
private:	// User declarations
        GreyImage orig, buff;
        int col,row,width,height;
        int LT_Col, LT_Row, RD_Col, RD_Row, Trans_Col, Trans_Row;
public:		// User declarations
        __fastcall TTranslateForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TTranslateForm *TranslateForm;
//---------------------------------------------------------------------------
#endif
