/*
   Lut_free.h

   hlavikov soubor LUT tabulky - libovoln LUT

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef lut_freeH
#define lut_freeH
//---------------------------------------------------------------------------
#include "lut_base.h"

class LUTFree : public LUTBase
{
private:
   VPoint LD, RT, current, past;
   bool down;
public:
   // constructors
   LUTFree()
      : LUTBase() {}
   LUTFree(TImage* _Image, TPanel* _Panel);
   virtual ~LUTFree() {}
   // member functions
   void ClearRect(VPoint& current, VPoint& past,
                TColor color=clBlack);
   // virtual member functions
   virtual void DrawChart();
   virtual void OnMouseDown(TMouseButton Button, int X, int Y);
   virtual void OnMouseUp  (TMouseButton Button, int X, int Y);
   virtual void OnMouseMove(int X, int Y);
}; // class LUTBrightness
#endif

