/*
   sgi.h

   hlavikov soubor tdy pro Vstup/vstup formt SGI

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef sgiH
#define sgiH
//---------------------------------------------------------------------------
#include "in_out.h"
#include "bmp_handler.h"
#include <iomanip.h>

class VSgi : public VInOut
{
private:
   BMPHandler* handler;
public:
   __fastcall VSgi(AnsiString _file_path);
   __fastcall VSgi(GreyImage* _image)
      :VInOut(_image)
      {}
   __fastcall VSgi(BMPHandler* _handler)
      :VInOut(_handler)
      { handler = new BMPHandler; }
   __fastcall ~VSgi();
   // member functions
   void         __fastcall SgiToGreyImage();
   //virtual functions
   void         __fastcall Assign(BMPHandler* _handler);
   virtual void __fastcall SaveToFile(AnsiString _save_file_name);
}; // class VSgi

#endif
