/*
   image_float.h

   hlavikov soubor tdy pro tdu obraz typu float

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef image_floatH
#define image_floatH
//---------------------------------------------------------------------------
#include <fstream.h>
#include "image.h"
#include "image_const.h"

// basic class for greyscale images

class FloatImage : public Image<float>
{
private:
public:
   // constructors
   FloatImage()
     :Image<float>()  {}
   FloatImage(int _cols, int _rows)
     :Image<float>(_cols,_rows) {}
   // destructor
   virtual ~FloatImage() {}
   void __fastcall Data_Value(int x, int y, float _f) { Data(x,y) = _f; }
}; // class FloatImage

#endif
