/*
   lut_contrast.h

   hlavikov soubor LUT tabulky - zmna kontrastu

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef lut_contrastH
#define lut_contrastH
//---------------------------------------------------------------------------
#include "lut_base.h"

class LUTContrast : public LUTBase
{
private:
   VPoint LD, RT;
   bool down;
public:
   // constructors
   LUTContrast()
      : LUTBase() {}
   LUTContrast(TImage* _Image, TPanel* Panel);
   virtual ~LUTContrast() {}
   // member functions
   void SetNewPoints(int X, int Y, VPoint& LD, VPoint& RT);
   // virtual member functions
   virtual void DrawChart();
   virtual void OnMouseDown(TMouseButton Button, int X, int Y);
   virtual void OnMouseUp  (TMouseButton Button, int X, int Y);
   virtual void OnMouseMove(int X, int Y);
}; // class LUTBrightness
#endif

