/*
   lut_equal.h

   hlavikov soubor LUT tabulky - shodn obraz

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef lut_equalH
#define lut_equalH
//---------------------------------------------------------------------------
#include "lut_base.h"
class LUTEqual: public LUTBase
{
private:
   VPoint LD, RT;
   bool down;
public:
   // constructors
   LUTEqual()
      : LUTBase() {}
   LUTEqual(TImage* _Image, TPanel* Panel);
   virtual ~LUTEqual() {}
   // member functions
   void SetNewPoints(int X, int Y, VPoint& LD, VPoint& RT){}
   // virtual member functions
   virtual void DrawChart();
   virtual void OnMouseDown(TMouseButton Button, int X, int Y){}
   virtual void OnMouseUp  (TMouseButton Button, int X, int Y){}
   virtual void OnMouseMove(int X, int Y){}
}; // class LUTEqual
#endif



