/*
   lut_equal_negative.h

  hlavikov soubor LUT tabulky - negativ

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef lut_equal_negativeH
#define lut_equal_negativeH
//---------------------------------------------------------------------------
#include "lut_base.h"

class LUTEqualNegative: public LUTBase
{
private:
   VPoint L, R, T;
   bool down;
public:
   // constructors
   LUTEqualNegative()
      : LUTBase() {}
   LUTEqualNegative(TImage* _Image, TPanel* _Panel);
   virtual ~LUTEqualNegative() {}
   // member functions
   void SetNewPoints(int X, int Y, VPoint& LD, VPoint& RT){}
   // virtual member functions
   virtual void DrawChart();
   virtual void OnMouseDown(TMouseButton Button, int X, int Y){}
   virtual void OnMouseUp  (TMouseButton Button, int X, int Y){}
   virtual void OnMouseMove(int X, int Y){}
}; // class LUTEqualNegative
#endif


