/*
   size_bmp_g.h

   hlavikov soubor pomocn tdy pro BMP

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef size_bmp_gH
#define size_bmp_gH
//---------------------------------------------------------------------------
#include "num_part.h"

// count members of a head of BMP file - GreyScale
class SizeBMP_G
{
public:
   int width, height;
   unsigned char width_l, width_h,
       height_l, height_h,
       size_file_hh, size_file_h, size_file_l,
       size_color_file_hh, size_color_file_h, size_color_file_l,
       size_bmp_hh, size_bmp_h, size_bmp_l;
   double size_file, size_color_file, size_bmp;

public:
   SizeBMP_G() {}
   SizeBMP_G(int _width, int _height);
   ~SizeBMP_G() {}
}; // SizeBMP_BW
#endif
