/*
   LUTListUnit.cpp

   definin soubor okna pro vbr jedn z 16 LUT pro specifikaci histogramu

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "TypeHistogramUnit.h"
#include "TypeAdjHistogramUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TTypeHistogramForm *TypeHistogramForm;
//---------------------------------------------------------------------------
__fastcall TTypeHistogramForm::TTypeHistogramForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TTypeHistogramForm::TresholdBitBtnClick(TObject *Sender)
{
   which_lut = threshold;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------
void __fastcall TTypeHistogramForm::BrightnesBitBtnClick(TObject *Sender)
{
   which_lut = brightness;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::ContrastBitBtnClick(TObject *Sender)
{
   which_lut = contrast;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::EqualBitBtnClick(TObject *Sender)
{
   which_lut = equal;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::NegativeBitBtnClick(TObject *Sender)
{
   which_lut = negative;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::EqualNegateBitBtnClick(TObject *Sender)
{
   which_lut = equal_negative;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::BitField1BitBtnClick(TObject *Sender)
{
   which_lut = bit_field1;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::BitField2BitBtnClick(TObject *Sender)
{
   which_lut = bit_field2;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::BitField3BitBtnClick(TObject *Sender)
{
   which_lut = bit_field3;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::FreeBitBtnClick(TObject *Sender)
{
   which_lut = free_lut;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::FlyBeltBitBtnClick(TObject *Sender)
{
   which_lut = fly_belt;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::Threshold3lBitBtnClick(TObject *Sender)
{
   which_lut = threshold_3l;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::ThresholdEqual_1BitBtnClick(TObject *Sender)
{
   which_lut = threshold_equal_1;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::ThresholdEqual_2BitBtnClick(TObject *Sender)
{
   which_lut = threshold_equal_2;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::Exp_BitBtnClick(TObject *Sender)
{
   which_lut = exp_lut;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::Ln_BitBtnClick(TObject *Sender)
{
   which_lut = ln_lut;
   Application->CreateForm(__classid(TTypeSpecificationHistogramForm),
                          &TypeSpecificationHistogramForm);
   TypeSpecificationHistogramForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TTypeHistogramForm::FormClose(TObject *Sender,
      TCloseAction &Action)
{
   Release();        
}
//---------------------------------------------------------------------------

