/*
   LUTListUnit.cpp

   definin soubor okna pro vbr jedn z 16 LUT

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "LUTListUnit.h"
#include "LUTAdjUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TLUTListForm *LUTListForm;
//---------------------------------------------------------------------------
__fastcall TLUTListForm::TLUTListForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TLUTListForm::TresholdBitBtnClick(TObject *Sender)
{
   which_lut = threshold;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------
void __fastcall TLUTListForm::BrightnesBitBtnClick(TObject *Sender)
{
   which_lut = brightness;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::ContrastBitBtnClick(TObject *Sender)
{
   which_lut = contrast;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::EqualBitBtnClick(TObject *Sender)
{
   which_lut = equal;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::NegativeBitBtnClick(TObject *Sender)
{
   which_lut = negative;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::EqualNegateBitBtnClick(TObject *Sender)
{
   which_lut = equal_negative;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::BitField1BitBtnClick(TObject *Sender)
{
   which_lut = bit_field1;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::BitField2BitBtnClick(TObject *Sender)
{
   which_lut = bit_field2;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::BitField3BitBtnClick(TObject *Sender)
{
   which_lut = bit_field3;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::FreeBitBtnClick(TObject *Sender)
{
   which_lut = free_lut;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::FlyBeltBitBtnClick(TObject *Sender)
{
   which_lut = fly_belt;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::Threshold3lBitBtnClick(TObject *Sender)
{
   which_lut = threshold_3l;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::ThresholdEqual_1BitBtnClick(TObject *Sender)
{
   which_lut = threshold_equal_1;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::ThresholdEqual_2BitBtnClick(TObject *Sender)
{
   which_lut = threshold_equal_2;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::Exp_BitBtnClick(TObject *Sender)
{
   which_lut = exp_lut;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::Ln_BitBtnClick(TObject *Sender)
{
   which_lut = ln_lut;
   Application->CreateForm(__classid(TLUTAdjForm),
                          &LUTAdjForm);
   LUTAdjForm -> ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TLUTListForm::FormClose(TObject *Sender,
      TCloseAction &Action)
{
   Release();        
}
//---------------------------------------------------------------------------

