/*
   MIPS.cpp

   definin soubor vech td, vyuvanch v programu

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//----------------------------------------------------------------------------
//Borland C++Builder
//Copyright (c) 1987,1998 Borland International Inc. All Rights Reserved.
//----------------------------------------------------------------------------
//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------
USERES("MIPS.res");
USEFORM("PictureUnit.cpp", PictureForm);
USELIB("C:\Program Files\Borland\CBuilder5\Projects\LIB\MIPS_Image.lib");
USEFORM("Edit\CutUnit.cpp", CutForm);
USEFORM("ColorBox\ColoBoxUnit.cpp", ColorBoxForm);
USEFORM("DrawObjects\DrawUnit.cpp", DrawForm);
USEFORM("DrawObjects\DrawNewSizeUnit.cpp", DrawNewSizeForm);
USEFORM("Rotate\RotateUnit.cpp", RotateForm);
USEFORM("Edit\TranslateUnit.cpp", TranslateForm);
USEFORM("Resize\ResizeUnit.cpp", ResizeForm);
USEFORM("Convolution\ConvolutionUnit.cpp", ConvolutionForm);
USEFORM("Convolution\NewKernelUnit.cpp", NewKernelForm);
USEFORM("Convolution\NewKernelSizeUnit.cpp", NewKernelSizeForm);
USEFORM("Noise\NoiseUnit.cpp", NoiseForm);
USEFORM("Histogram\HistogramUnit.cpp", HistogramForm);
USEFORM("LUT\LUTListUnit.cpp", LUTListForm);
USEFORM("LUT\LUTAdjUnit.cpp", LUTAdjForm);
USEFORM("LUT\LUTUnit.cpp", LUTForm);
USEFORM("Contrast\ContrastUnit.cpp", ContrastForm);
USEFORM("Brightness\BrightnessUnit.cpp", BrightnessForm);
USEFORM("ProgressForm\DFTProgressUnit.cpp", DFTProgressForm);
USEFORM("FFT\DFTUnit.cpp", DFTForm);
USEFORM("FFT\DFTOptionsUnit.cpp", DFTOptionsForm);
USEFORM("FFT\DFTCircSymFilterUnit.cpp", DFTCircSymFilterForm);
USEFORM("FFT\DFTFrequencyMaskUnit.cpp", DFTFrequencyMaskForm);
USEFORM("FFT\DFTScissorsFrequencyMaskUnit.cpp", DFTScissorsFrequencyMaskForm);
USEFORM("FFT\DFTRingFrequencyMaskUnit.cpp", DFTRingFrequencyMaskForm);
USEFORM("FFT\DFTFreqConvolutionUnit.cpp", DFTFreqConvolutionForm);
USEFORM("FFT\DFTSizeUnit.cpp", DFTSizeForm);
USEFORM("FFT\DFTSaveUnit.cpp", DFTSaveForm);
USEFORM("FFT\DFTViewCoeffUnit.cpp", DFTViewCoeffForm);
USEFORM("NonlinearFilters\NolnlinearFiltersUnit.cpp", NonlinearFiltersForm);
USEFORM("Morphology\MORPHUnit.cpp", MORPHForm);
USEFORM("Morphology\MORPHNewSizeMaskUnit.cpp", MORPHNewSizeMaskForm);
USEFORM("Morphology\MORPHThreshUnit.cpp", MORPHThreshForm);
USEFORM("Morphology\MORPHUsersMaskUnit.cpp", MORPHUsersMaskForm);
USEFORM("LogAndArith\FrameUnit.cpp", FrameForm);
USEFORM("About\LicenceUnit.cpp", LicenceForm);
USEFORM("About\AboutUnit.cpp", AboutForm);
USEFORM("Edit\AverageUnit.cpp", AverageForm);
USEFORM("PseudoColor\PseudoUnit.cpp", PseudoColorsForm);
USEFORM("PseudoColor\ColorMapEditorUnit.cpp", ColorMapForm);
USEFORM("Brightness\BrightnessProfileUnit.cpp", BrightnessProfileForm);
USEFORM("Brightness\LineProfileUnit.cpp", LineProfileForm);
USEFORM("Brightness\CircleProfileUnit.cpp", CircleProfileForm);
USEFORM("Color\RGBComponentUnit.cpp", RGBComponentsForm);
USEFORM("Characteristics\CentroidUnit.cpp", CentroidForm);
USEFORM("Correction\FlatFieldUnit.cpp", FlatFieldForm);
USEFORM("Characteristics\StatisticsUnit.cpp", StatisticsForm);
USEFORM("Histogram\HistogramEqualizationUnit.cpp", HistogramEqualizationForm);
USEFORM("Histogram\HistogramStretchingUnit.cpp", HistogramStrechingForm);
USEFORM("Edit\ShowTwoImagesUnit.cpp", ShowTwoImagesForm);
USEFORM("Edit\ShowFourImagesUnit.cpp", ShowFourImagesForm);
USEFORM("Edit\ShowSixImagesUnit.cpp", ShowSixImagesForm);
USEFORM("Color\GreyScaleUnit.cpp", GreyScaleForm);
USEFORM("Color\HSVToolUnit.cpp", HSVToolForm);
USEFORM("Color\HSLToolUnit.cpp", HSLToolForm);
USEFORM("Color\CMYToolUnit.cpp", CMYToolForm);
USEFORM("Color\CMYKToolUnit.cpp", CMYKToolForm);
USEFORM("Edit\MagnifyingGlassUnit.cpp", MagnifyingGlassForm);
USEFORM("Correction\NonUniformIlluminationUnit.cpp", NonUniformIlluminationForm);
USEFORM("Histogram\GammaCorrectionUnit.cpp", GammaCorrectionForm);
USEFORM("Characteristics\SnrPsnrUnit.cpp", SnrPsnrForm);
USEFORM("Histogram\HistogramSpecificationUnit.cpp", HistogramSpecificationForm);
USEFORM("FFT\FftFiltrationUnit.cpp", FftFiltrationForm);
USEFORM("FFT\ViewUnit.cpp", ViewForm);
USEFORM("Histogram\TypeHistogramUnit.cpp", TypeHistogramForm);
USEFORM("Histogram\TypeAdjHistogramUnit.cpp", TypeSpecificationHistogramForm);
USEFORM("Histogram\HistogramModificationUnit.cpp", HistogramModificationForm);
USEFORM("Morphology\MORPHMaskUnit.cpp", MORPHMaskForm);
USEUNIT("FFT\freq_mask.cpp");
USEUNIT("FFT\dft.cpp");
USEUNIT("Morphology\morpholog_grey.cpp");
USEUNIT("Morphology\morpholog_binary.cpp");
USEUNIT("Morphology\morpholog_exception.cpp");
USEUNIT("Morphology\morpholog.cpp");
USEUNIT("Noise\noise.cpp");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
   try{
      Application->Initialize();
      Application->CreateForm(__classid(TPictureForm), &PictureForm);
                 Application->CreateForm(__classid(TDrawForm), &DrawForm);
                 Application->Run();
   }
   catch (Exception &exception)
   {
      Application->ShowException(&exception);
   }
   return 0;
}
//---------------------------------------------------------------------
