/*
   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef dft_vectorH
#define dft_vectorH
//---------------------------------------------------------------------------
#include "vexcept.h"
//---------------------------------------------------------------------------
namespace dft{
class vector
{
private:
   int l;
   int* data;
public:
   // constructors
   vector();
   vector(int _l);
   ~vector();
   // member functions
         int length()       { return l;}
   const int length() const { return l;}
   vector& resize(int new_length);
   // overload operator functions
   int& operator[](int index);
   vector& operator=(const vector& init);
};// class vector
} // namespace dft
#endif
