//---------------------------------------------------------------------------
#ifndef lut_bit_fieldsH
#define lut_bit_fieldsH
//---------------------------------------------------------------------------
#include "lut_base.h"

class LUTBitField: public LUTBase
{
private:
   bool down;
   int number;
   VPoint** points;
public:
   // constructors
   LUTBitField()
      : LUTBase() {}
   LUTBitField(TImage* _Image, TPanel* _Panel, int _number);
   virtual ~LUTBitField();
   // member functions
   void SetNewPoints(int X, int Y, VPoint& LD, VPoint& RT){}
   int& Number() { return number; }
   void DrawLine(VPoint& start, VPoint& end,
                 TColor color = clBlack, int size = 4);
   // virtual member functions
   virtual void DrawChart();
   virtual void OnMouseDown(TMouseButton Button, int X, int Y){}
   virtual void OnMouseUp  (TMouseButton Button, int X, int Y){}
   virtual void OnMouseMove(int X, int Y){}
}; // class LUTBitField
#endif

