//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "lut_equal.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)

// constructor - sets the left-down and right-top points
//---------------------------------------------------------------------------
LUTEqual::LUTEqual(TImage* _Image, TPanel* _Panel)
      : LUTBase(_Image, _Panel)
{
    LD.X() = LeftTop.X();
    LD.Y() = RightDown.Y();
    RT.X() = RightDown.X();
    RT.Y() = LeftTop.Y();
    Down() = false;
    for(int i(0); i<256; i++){
        Lut(i) = i;
    }
}

//---------------------------------------------------------------------------
// virtual function - just calls the DrawLine() function
void
LUTEqual::DrawChart()
{
   DrawLine(LD,RT);
}
