/*
   MIPS.cpp

   definin soubor vech td, vyuvanch v knihovn MIPS_Image

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("MIPS_Image.res");
USEUNIT("point_image.cpp");
USEUNIT("assert.cpp");
USEUNIT("vexcept.cpp");
USEUNIT("image_const.cpp");
USEUNIT("size_bmp_g.cpp");
USEUNIT("num_part.cpp");
USEUNIT("geometric_image.cpp");
USEUNIT("image_grey.cpp");
USEUNIT("image_float.cpp");
USEUNIT("image.cpp");
USEUNIT("list_image.cpp");
USEUNIT("brightness.cpp");
USEUNIT("histogram.cpp");
USEUNIT("translate.cpp");
USEUNIT("scale.cpp");
USEUNIT("scale_color.cpp");
USEUNIT("Rotate.cpp");
USEUNIT("DFT\kernel.cpp");
USEUNIT("DFT\dft_save_coefficients.cpp");
USEUNIT("DFT\dft_vector.cpp");
USEUNIT("DFT\dft_options.cpp");
USEUNIT("image_complex.cpp");
USEUNIT("bmp_handler.cpp");
USEUNIT("bmp.cpp");
USEUNIT("in_out.cpp");
USEUNIT("vmask.cpp");
USEUNIT("mask_options.cpp");
USEUNIT("nonlinear_filter.cpp");
USEUNIT("frame_image.cpp");
USEUNIT("convolution.cpp");
USEUNIT("noise_options.cpp");
USEUNIT("LUT\lut_equal.cpp");
USEUNIT("lut.cpp");
USEUNIT("LUT\lut_negative.cpp");
USEUNIT("LUT\lut_equal_negative.cpp");
USEUNIT("LUT\lut_free.cpp");
USEUNIT("LUT\lut_threshold.cpp");
USEUNIT("LUT\lut_threshold_equal_2.cpp");
USEUNIT("LUT\lut_brightness.cpp");
USEUNIT("LUT\lut_fly_belt.cpp");
USEUNIT("LUT\lut_contrast.cpp");
USEUNIT("LUT\lut_threshold_equal_1.cpp");
USEUNIT("LUT\lut_bit_fields.cpp");
USEUNIT("LUT\lut_base.cpp");
USEUNIT("LUT\lut_3l_threshold.cpp");
USEUNIT("edge_detector.cpp");
USEUNIT("matlab.cpp");
USEUNIT("asci.cpp");
USEUNIT("sgi.cpp");
USEUNIT("dig.cpp");
USEUNIT("LUT\lut_exp.cpp");
USEUNIT("LUT\lut_ln.cpp");
USEUNIT("contrast.cpp");
USEUNIT("pseudo_color.cpp");
USEUNIT("image_color.cpp");
USEUNIT("bmp_handler_color.cpp");
USEPACKAGE("vcl50.bpi");
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
//   Package source.
//---------------------------------------------------------------------------
int WINAPI DllEntryPoint(HINSTANCE hinst, unsigned long reason, void*)
{
        return 1;
}
//---------------------------------------------------------------------------
