/*
   num_part.h

   hlavikov soubor tdy pro pevod mezi hexa a dec

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef num_partH
#define num_partH
//---------------------------------------------------------------------------
// class for partition int/double number into two/three (there is obviously no
// reason for more) partitions     _int = x part_hh part_h part_l
// each of the partitions is represented by unsigned char

class NumPart
{
private:
   int int_num;
   double double_num;
   unsigned char part_hh;
   unsigned char part_h;
   unsigned char part_l;
   int temp;
public:
   // constructors
   NumPart()
     :int_num(0),double_num(0),part_hh(0),
      part_h(0),part_l(0) {}
   NumPart(int _int_num);
   NumPart(double _double_num);
   ~NumPart() {}
   // member functions
   unsigned char Part_hh() { return part_hh; }
   unsigned char Part_h () { return part_h ; }
   unsigned char Part_l () { return part_l ; }
}; // class NumPart
#endif
