/*
   NonlinearFiltersUnit.h

   hlavikov soubor okna pro zvolen velikosti masky pro nelinern filtraci

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef NolnlinearFiltersUnitH
#define NolnlinearFiltersUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TNonlinearFiltersForm : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel1;
        TGroupBox *GroupBox1;
        TEdit *ColsEdit;
        TEdit *RowsEdit;
        TLabel *Label1;
        TLabel *Label2;
        TBitBtn *BitBtn1;
        TBitBtn *BitBtn2;
private:	// User declarations
public:		// User declarations
        __fastcall TNonlinearFiltersForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TNonlinearFiltersForm *NonlinearFiltersForm;
//---------------------------------------------------------------------------
#endif
