/*
   NewKernelSizeUnit.h

   hlavikov soubor okna pro monost zmny velikosti konvolun masky

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef NewKernelSizeUnitH
#define NewKernelSizeUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TNewKernelSizeForm : public TForm
{
__published:	// IDE-managed Components
        TBevel *Bevel1;
        TPanel *Panel1;
        TGroupBox *GroupBox1;
        TLabel *Label1;
        TEdit *ColsEdit;
        TEdit *RowsEdit;
        TLabel *Label2;
        TBitBtn *BitBtn1;
        TBitBtn *BitBtn2;
        void __fastcall BitBtn1Click(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
        int new_rows, new_cols;
public:		// User declarations
        __fastcall TNewKernelSizeForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TNewKernelSizeForm *NewKernelSizeForm;
//---------------------------------------------------------------------------
#endif
