/*
   CutUnit.h

   hlavikov soubor okna pro vez obrazu

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef CutUnitH
#define CutUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include "Headers\image_grey.h"
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TCutForm : public TForm
{
__published:	// IDE-managed Components
        TBevel *Bevel1;
        TPanel *Panel1;
        TEdit *LT_Col_Edit;
        TEdit *LT_Row_Edit;
        TEdit *RD_Col_Edit;
        TEdit *RD_Row_Edit;
        TBitBtn *CutBitBtn;
        TBitBtn *CancelBitBtn;
        TShape *Shape1;
        TShape *Shape2;
        TPanel *Panel2;
        TPanel *Panel3;
        TPanel *Panel4;
        TPanel *Panel5;
        TStatusBar *StatusBar1;
        void __fastcall CutBitBtnClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
        GreyImage orig, cutted;
        int col,row,width,height;
        int LT_Col, LT_Row, RD_Col, RD_Row;
public:		// User declarations
        __fastcall TCutForm(TComponent* Owner);
        __fastcall ~TCutForm();
};
//---------------------------------------------------------------------------
extern PACKAGE TCutForm *CutForm;
//---------------------------------------------------------------------------
#endif
