/*
   DFTOptionsUnit.h

   hlavikov soubor okna nastavujc parametry filtru

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef DFTOptionsUnitH
#define DFTOptionsUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "..\Headers\dft_options.h"
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TDFTOptionsForm : public TForm
{
__published:	// IDE-managed Components
        TBevel *Bevel1;
        TPanel *Panel1;
        TCheckBox *ViewValuesCheckBox;
        TRadioGroup *ViewAsRadioGroup;
        TBitBtn *OKBitBtn;
        TBitBtn *CancelBitBtn;
        TEdit *ScaleEdit;
        TLabel *Label1;
        TRadioGroup *InverseRadioGroup;
        void __fastcall ViewAsRadioGroupClick(TObject *Sender);
        void __fastcall ViewValuesCheckBoxClick(TObject *Sender);
        void __fastcall OKBitBtnClick(TObject *Sender);
        void __fastcall ScaleEditExit(TObject *Sender);
        void __fastcall InverseRadioGroupClick(TObject *Sender);
private:	// User declarations
        DFTOptions options;
        void __fastcall SetVisualComp(DFTOptions& options);
public:		// User declarations
        __fastcall TDFTOptionsForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TDFTOptionsForm *DFTOptionsForm;
//---------------------------------------------------------------------------
#endif
