/*
   DFTViewCoeffUnit.h

   hlavikov soubor okna sloucho k zobrazen hodnoty FFT koeficientu

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef DFTViewCoeffUnitH
#define DFTViewCoeffUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "..\Headers\image_complex.h"
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TDFTViewCoeffForm : public TForm
{
__published:	// IDE-managed Components
        TBevel *Bevel1;
        TPanel *Panel1;
        TBevel *Bevel2;
        TBevel *Bevel3;
        TBevel *Bevel4;
        TBevel *Bevel5;
        TBevel *Bevel6;
        TEdit *XEdit;
        TEdit *YEdit;
        TLabel *Label1;
        TLabel *Label2;
        TButton *ViewButton;
        TLabel *RealLabel;
        TLabel *ImagLabel;
        TLabel *MagnitudeLabel;
        TLabel *PhaseLabel;
        TBitBtn *CloseBitBtn;
        void __fastcall ViewButtonClick(TObject *Sender);
private:	// User declarations
        ComplexImage* image;
public:		// User declarations
        __fastcall TDFTViewCoeffForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TDFTViewCoeffForm *DFTViewCoeffForm;
//---------------------------------------------------------------------------
#endif
