/*
   ViewUnit.h

   hlavikov soubor okna zobrazujc frekvenn spektrum po fft filtraci

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef ViewUnitH
#define ViewUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include "Headers\bmp_handler.h"
#include "Headers\image_grey.h"
#include "Headers\scale.h"
//---------------------------------------------------------------------------
class TViewForm : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel4;
        TImage *Image1;
        void __fastcall BitBtn1Click(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
public:		// User declarations
        BMPHandler* handler;
        GreyImage* original_image;
        GreyImage* sized_image;
        __fastcall TViewForm(TComponent* Owner);
        __fastcall ~TViewForm();
};
//---------------------------------------------------------------------------
extern PACKAGE TViewForm *ViewForm;
//---------------------------------------------------------------------------
#endif
