/*
   assert.h

   definin soubor funkce Assert() pro exception handling

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/

//---------------------------------------------------------------------------
#ifndef assertH
#define assertH

#define NDEBUG (0)          // debugging:ON
//---------------------------------------------------------------------------
// Template excaption-handling Assert() function

template <class T, class X>
inline void Assert (T exp, X x)
{
 //  if (!NDEBUG)
      if(!exp)
         throw x;
}

//---------------------------------------------------------------------------
#endif
