/*
   Lut_exp.h

   hlavikov soubor LUT tabulky - exp

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef lut_expH
#define lut_expH
//---------------------------------------------------------------------------
#include "lut_base.h"

class LUTExp: public LUTBase
{
private:
   VPoint LD, RT;
   bool down;
   int q;
public:
   // constructors
   LUTExp()
      : LUTBase() {}
   LUTExp(TImage* _Image, TPanel* Panel);
   virtual ~LUTExp() {}
   // member functions
   void SetNewPoints(int X, int Y, VPoint& LD, VPoint& RT){}
   // virtual member functions
   virtual void DrawChart();
   virtual void OnMouseDown(TMouseButton Button, int X, int Y){}
   virtual void OnMouseUp  (TMouseButton Button, int X, int Y){}
   virtual void OnMouseMove(int X, int Y){}
}; // class LUTExp
#endif



