/*
   lut_threshold.h

   hlavikov soubor LUT tabulky - prahovn

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef lut_thresholdH
#define lut_thresholdH
//---------------------------------------------------------------------------
#include "lut_base.h"

class LUTThreshold : public LUTBase
{
private:
   VPoint LD, D, T, RT;
   bool down;
public:
   // constructors
   LUTThreshold()
      : LUTBase() {}
   LUTThreshold(TImage* _Image, TPanel* _Panel);
   virtual ~LUTThreshold() {}
   // member functions
   void SetNewPoints(int X, int Y, VPoint& L, VPoint& T);
   // virtual member functions
   virtual void DrawChart();
   virtual void OnMouseDown(TMouseButton Button, int X, int Y);
   virtual void OnMouseUp  (TMouseButton Button, int X, int Y);
   virtual void OnMouseMove(int X, int Y);
}; // class LUTThreshold
#endif
