//---------------------------------------------------------------------------
#ifndef lut_3l_thresholdH
#define lut_3l_thresholdH
//---------------------------------------------------------------------------
#include "lut_base.h"

enum Which_Drag{ _LM1, _LM2, _RM1, _RM2, _L_LM1, _LM1_LM2, _LM2_RM2,
                 _RM2_RM1, _RM1_R  };
//---------------------------------------------------------------------------
class LUT3LThreshold : public LUTBase
{
private:
   VPoint L, LM1, LM2, RM1, RM2, R;
   bool down;
   Which_Drag which_drag;
public:
   // constructors
   LUT3LThreshold()
      : LUTBase() {}
   LUT3LThreshold(TImage* _Image, TPanel* _Panel);
   virtual ~LUT3LThreshold() {}
   // member functions
   void SetNewPoints(int X, int Y, VPoint& L, VPoint& LM1, VPoint& LM2,
                                   VPoint& R, VPoint& RM1, VPoint& RM2);
   void KeepInBorder(VPoint& point);
   // virtual member functions
   virtual void DrawChart();
   virtual void OnMouseDown(TMouseButton Button, int X, int Y);
   virtual void OnMouseUp  (TMouseButton Button, int X, int Y);
   virtual void OnMouseMove(int X, int Y);
}; // class LUT3lThreshold
#endif
