//---------------------------------------------------------------------------
#ifndef lut_brightnessH
#define lut_brightnessH
//---------------------------------------------------------------------------
#include "lut_base.h"

class LUTBrightness : public LUTBase
{
private:
   VPoint LD, RT;
   bool down;
public:
   // constructors
   LUTBrightness()
      : LUTBase() {}
   LUTBrightness(TImage* _Image, TPanel* _Panel);
   virtual ~LUTBrightness() {}   
   // member functions
   void SetNewPoints(int X, int Y, VPoint& LD, VPoint& RT);
   // virtual member functions
   virtual void DrawChart();
   virtual void OnMouseDown(TMouseButton Button, int X, int Y);
   virtual void OnMouseUp  (TMouseButton Button, int X, int Y);
   virtual void OnMouseMove(int X, int Y);
}; // class LUTBrightness
#endif
