//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "lut_negative.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
// constructor - sets the left-down and right-top points
//---------------------------------------------------------------------------
LUTNegative::LUTNegative(TImage* _Image, TPanel* _Panel)
      : LUTBase(_Image, _Panel)
{
    LD.X() = LeftTop.X();
    LD.Y() = LeftTop.Y();
    RT.X() = RightDown.X();
    RT.Y() = RightDown.Y();
    Down() = false;
    for(int i(0); i<256; i++)
      Lut(i) = 255-i;
}

//---------------------------------------------------------------------------
// virtual function - just calls the DrawLine() function
void
LUTNegative::DrawChart()
{
   DrawLine(LD,RT);
}



