/*
   MORPHMaskUnit.h

   hlavikov soubor okna pro zvolen MIPS masky

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef MORPHMaskUnitH
#define MORPHMaskUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "..\Headers\vmask.h"
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include "..\Headers\mask_options.h"
//---------------------------------------------------------------------------
class TMORPHMaskForm : public TForm
{
__published:	// IDE-managed Components
        TBevel *Bevel1;
        TPanel *Panel1;
        TRadioGroup *SizeRadioGroup;
        TRadioGroup *ShapeRadioGroup;
        TBitBtn *OKBitBtn;
        TBitBtn *CancelBitBtn;
        void __fastcall SizeRadioGroupClick(TObject *Sender);
        void __fastcall ShapeRadioGroupClick(TObject *Sender);
        void __fastcall OKBitBtnClick(TObject *Sender);
private:	// User declarations
        MaskOptions mask_options;
        void __fastcall SetVisualComp(MaskOptions init);
public:		// User declarations
        __fastcall TMORPHMaskForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMORPHMaskForm *MORPHMaskForm;
//---------------------------------------------------------------------------
#endif
