/*
   MORPHNewSizeMaskUnit.h

   hlavikov soubor okna pro zvolen velikosti morfologick masky

   MIPS 2.0 - Microscopy Image Processing Software
   Gerla Vclav, 2005

*/
//---------------------------------------------------------------------------
#ifndef MORPHNewSizeMaskUnitH
#define MORPHNewSizeMaskUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TMORPHNewSizeMaskForm : public TForm
{
__published:	// IDE-managed Components
        TBevel *Bevel1;
        TPanel *Panel1;
        TGroupBox *GroupBox1;
        TLabel *Label1;
        TLabel *Label2;
        TEdit *ColsEdit;
        TEdit *RowsEdit;
        TBitBtn *BitBtn1;
        TBitBtn *CancelBitBtn;
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall BitBtn1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TMORPHNewSizeMaskForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMORPHNewSizeMaskForm *MORPHNewSizeMaskForm;
//---------------------------------------------------------------------------
#endif
